/* homepage.css */

#bath_pic {
    max-width: 100%;
    max-height: 90%;
    box-shadow: 10px 10px 10px rgb(161, 161, 161);
    position: relative;
}

#description_1 {
    background-color: var(--sec_color);
    display: flex;
    align-items: center;
    margin: 5%;
    position: relative;
    max-width: 90%;
    height: 533px;
    border-radius: 30px;
    box-shadow: 10px 10px 10px rgb(161, 161, 161);
}

#description_1_text {
    overflow-x: hidden;
    display: flex;
    flex-direction: row;
    overflow: auto;
    font-size: larger;
    padding-right: 5%;
    padding-left: 5%;
    max-width: 45%;
    max-height: 533px;
}

#description_2 {
    background-color: var(--sec_color);
    display: flex;
    align-items: center;
    margin-top: 5%;
    margin-right: 5%;
    margin-left: 5%;
    position: relative;
    max-width: 90%;
    max-height: auto;
    border-radius: 30px;
    box-shadow: 10px 10px 10px rgb(161, 161, 161);
}


#description_2_text {
    overflow-x: hidden;
    display: flex;
    flex-direction: row;
    font-size: larger;
    margin-left: 5%;
    padding-right: 5%;
    max-width: 45%;
    max-height: 533px;
}


#pic_desc_1 {
    border-top-right-radius: 30px;
    border-bottom-right-radius: 30px;
    margin: auto;
    overflow: auto;
    overflow-x: hidden;
    padding-bottom: auto;
    display: flex;
    flex-direction: row;
    max-width: 100%;
}

#pic_desc_2 {
    border-top-left-radius: 30px;
    border-bottom-left-radius: 30px;
    margin: auto;
    overflow: auto;
    overflow-x: hidden;
    padding-bottom: auto;
    display: flex;
    flex-direction: row;
    max-width: 100%;
}


#sights_description,
#reviews_box {
    font-size: 35px;
    font-weight: bold;
    text-align: center;
    margin: 5%
}

#close_sights {
    background-color: var(--sec_color);
    display: grid;
    grid-template-columns: auto auto;
    position: relative;
    margin: 5%;
    overflow: auto;
    border-radius: 30px;
    box-shadow: 10px 10px 10px rgb(161, 161, 161);
}

#sight {
    overflow: auto;
    display: flex;
    margin: 5%;
    margin-bottom: 5%;
    margin-top: 5%;
    align-items: center;
    flex-direction: column;
    border-radius: 30px;
}

#sight_text_title1,
#sight_text_title2,
#sight_text_title3,
#sight_text_title4 {
    display: flex;
    font-size: 25px;
    font-weight: bold;
    font-style: oblique;
}

#sight_text1,
#sight_text2,
#sight_text3,
#sight_text4 {
    display: flex;
    text-align: center;
    font-size: large;
    max-width: 560px;
    overflow: auto;
    max-height: auto;
}

#sight_img {
    display: flex;
    overflow: auto;
    border-radius: 30px;
    max-width: auto;
    max-height: auto;
    box-shadow: 10px 10px 10px rgb(161, 161, 161);
}

.review_pics {
    display: flex;
    flex-direction: column;
    position: absolute;
    top: 15%;
    right: 5%;
    object-fit: cover;
    background-color: black;
    border-right: 3px solid black;
    border-left: 3px solid black;
    border-top: 3px solid black;
}

.review_pics img {
    width: 100%;
    height: auto;
}

.rslidepics{
    margin-top: 5%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

.rslidepics1{
    height: 300px;
    margin: auto;
}

.r_box{
    height: 295px;
}

#reviews_box {
    margin-top: 1%;
    padding-top: 1%;
    margin-bottom: 0;
}

#reviews {
    /* background-color: aqua; */
    text-align: center;
    display: flex;
    flex-direction: column;
    margin-left: 5%;
    margin-right: 5%;
    margin-bottom: 5%;
    /* padding-bottom: 5%; */
}

.review_1,
.review_2 {
    background-color: var(--sec_color);
    padding: 2%;
    border-radius: 30px;
    font-style: oblique;
    font-size: large;
    margin-left: 5%;
    margin-right: 5%;
    margin-top: 2%;
}


.buttons2 {
    display: flex;
    justify-content: center;
    margin: 2%;
}

.prev,
.next {
    border-radius: 30px;
    border: 1px solid black;
    text-align: center;
    width: 200px;
}

.prev {
    margin-right: 1px;
}

.next {
    margin-left: 1px;
}


@media (min-width: 1980px) {

    #description_1,
    #description_2 {
        width: 1760px;
        margin-left: 10%;
    }
}

@media (max-width: 1425px) {

    #description_1 {
        height: auto;
        flex-wrap: wrap-reverse;
        border-radius: 30px;
    }

    #description_2 {
        flex-wrap: wrap;
        border-radius: 30px;
    }

    #description_1_text,
    #description_2_text {
        max-width: 100%;
        font-size: medium;
        text-align: center;
        margin-bottom: auto;
    }


    #pic_desc_1,
    #pic_desc_2 {
        margin-bottom: auto;
        border-radius: 30px;
        margin-top: 5%;
        width: 700px;
        height: 466px;
    }


    #close_sights {
        grid-template-columns: 1fr;

    }

    #sight_img {
        width: 500px;
        height: 333px;
    }

    .review_pics img {
        width: 200px;
    }

    .rslidepics1 {
        height: 230px;
        /* margin-bottom: 1%; */
    }

}

@media (max-width: 800px) {

    #pic_desc_1,
    #pic_desc_2 {
        margin-bottom: auto;
        border-radius: 30px;
        margin-top: 5%;
        width: 300px;
        height: 200px;
    }

    #sight_img {
        width: 300px;
        height: 200px;
    }

    .review_pics {
        /* top: 10%; */
        right: 2%;
    }

    .review_pics img {
        width: 100px;
        /* Adjust the width for smaller screens */
    }

    .rslidepics1 {
        height: 200px;
        margin-bottom: 1%;
    }

    #sights_description,
    #reviews_box {
        font-size: larger;
    }

    .review_1, .review_2{
        font-size: 15.5px;
    }

    .prev,
    .next {
        border-radius: 30px;
        border: 1px solid black;
        text-align: center;
        width: 150px;
        margin-top: 50px;
    }

}

@media (max-width: 400px) {

    .review_1, .review_2{
        font-size: 15px;
    }

    .prev,
    .next {
        border-radius: 30px;
        border: 1px solid black;
        text-align: center;
        width: 150px;
        margin-top: 70px;
    }
/* 
    .review_2 {
        margin-bottom: 32.55%;
    } */

}